<script lang="ts">
    import type { AdapterSettings } from '../../app/domain/types/adapter.type';

    export let settings: AdapterSettings;

</script>

<div class="field is-horizontal">
    <div class="field-label">
        <label class="label">Proxy</label>
    </div>
    <div class="field-body">
        <div class="field is-narrow">
            <div class="control">
                <label class="radio">
                    <input type="radio" name="proxyEnabled" value={false} bind:group={settings.proxyEnable}>
                    Disabled
                </label>
                <label class="radio">
                    <input type="radio" name="proxyEnabled" value={true} bind:group={settings.proxyEnable}>
                    Enabled
                </label>
            </div>
        </div>
    </div>
</div>

<div class="field is-horizontal">
    <div class="field-label">
        <label class="label">Proxy Protocol</label>
    </div>
    <div class="field-body">
        <div class="field is-narrow">
            <div class="control">
                <label class="radio">
                    <input type="radio" name="proxyProtocol" value="http" bind:group={settings.proxyProtocol}>
                    HTTP
                </label>
                <label class="radio">
                    <input type="radio" name="proxyProtocol" value="https" bind:group={settings.proxyProtocol}>
                    HTTPS
                </label>
            </div>
        </div>
    </div>
</div>

<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">Proxy Host</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                <input class="input is-danger" type="text" placeholder="e.g. 172.17.177.2" bind:value={settings.proxyHost}>
            </div>
            <p class="help is-danger">
                This field is required
            </p>
        </div>
    </div>
</div>

<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">Proxy Port</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                <input class="input is-danger" type="text" placeholder="e.g. 3128" bind:value={settings.proxyPort}>
            </div>
            <p class="help is-danger">
                This field is required
            </p>
        </div>
    </div>
</div>

<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">Proxy Login</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                <input class="input" type="text" placeholder="e.g. ksuedile" bind:value={settings.proxyLogin}>
            </div>
        </div>
    </div>
</div>

<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">Proxy Password</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                <input class="input" type="password" placeholder="e.g. a*x!T65=" bind:value={settings.proxyPassword}>
            </div>
        </div>
    </div>
</div>

